/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interface.h"


namespace morpheo              {
namespace behavioural          {

  string Interface::get_signal (void)
  {
    uint32_t               depth          = 0;
    string                 separator      = ",\n";
    bool                   last_separator = false;


    list<Signal>::iterator i     = _list_signal.begin();
    bool                   empty = _list_signal.empty();

    string                 tab   = string(depth,'\t');
    ostringstream          text;

    if (not empty)
      {
	// First
	if (i != _list_signal.end())
	  {
	    text << tab << *i;
	    ++i;
	  }
	
	while (i != _list_signal.end())
	  {
	    text << separator;
	    text << tab << *i;
	    ++i;
	  }
	
	if (last_separator)
	  text << separator;
      }

    return text.str();
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
